<div class="example-container">
    <form #a="ngForm" autocomplete="off">
        <mat-form-field appearance="outline">
          <mat-label>Filter by Id</mat-label>
          <input matInput type="number"
          name="filter"
          (ngModel)="id"
          (ngModelChange)="onChangeID($event)">
        </mat-form-field>
    </form>
</div>